accessReviewScheduleDefinition: filterByCurrentUser
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Returns accessReviewScheduleDefinition objects where the calling user is a reviewer on one or more accessReviewInstance objects.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | AccessReview.Read.All, AccessReview.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | AccessReview.Read.All, AccessReview.ReadWrite.All |
HTTP request
GET /identityGovernance/accessReviews/definitions/filterByCurrentUser(on='reviewer')
Optional query parameters
This method supports $select, $filter, $orderBy, $skip, and $top OData query parameters to help customize the response. For general information, see OData query parameters.
The default page size for this API is 100 accessReviewScheduleDefinition objects. To improve efficiency and avoid timeouts due to large result sets, apply pagination using the $skip and $top query parameters. For more information, see Paging Microsoft Graph data in your app.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this function returns a 200 OK response code and a accessReviewScheduleDefinition collection in the response body.
Examples
Returns all review definitions where the calling user is a reviewer.
Request
GET https://graph.microsoft.com/beta/identityGovernance/accessReviews/definitions/filterByCurrentUser(on='reviewer')
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#Collection(accessReviewScheduleDefinition)",
"@odata.count": 1,
"value": [
{
"@odata.type": "#microsoft.graph.accessReviewScheduleDefinition",
"id": "ad0ec492-c1b6-49f0-9025-ea15ca471ea9",
"displayName": "Test",
"createdDateTime": "2021-04-29T20:01:18.1084432Z",
"lastModifiedDateTime": "2021-04-29T20:01:52.3233462Z",
"status": "Completed",
"descriptionForAdmins": "Test",
"descriptionForReviewers": "Test",
"createdBy": {
"id": "36c4c56e-fce3-4e2d-b28e-4ac0c7d2fa10",
"displayName": "MOD Administrator",
"userPrincipalName": "admin@contoso.com"
},
"scope": {
"@odata.type": "#microsoft.graph.accessReviewInactiveUsersQueryScope",
"query": "./members/microsoft.graph.user/?$count=true&$filter=(userType eq 'Guest')",
"queryType": "MicrosoftGraph",
"queryRoot": null,
"inactiveDuration": "P30D"
},
"instanceEnumerationScope": {
"@odata.type": "#microsoft.graph.accessReviewQueryScope",
"query": "/v1.0/groups?$filter=(groupTypes/any(c:c+eq+'Unified'))&$count=true",
"queryType": "MicrosoftGraph",
"queryRoot": null
},
"reviewers": [
{
"query": "./owners",
"queryType": "MicrosoftGraph",
"queryRoot": null
}
],
"backupReviewers": [],
"fallbackReviewers": [],
"settings": {
"mailNotificationsEnabled": true,
"reminderNotificationsEnabled": true,
"justificationRequiredOnApproval": true,
"defaultDecisionEnabled": true,
"defaultDecision": "Approve",
"instanceDurationInDays": 3,
"autoApplyDecisionsEnabled": true,
"recommendationsEnabled": true,
"recurrence": {
"pattern": {
"type": "weekly",
"interval": 1,
"month": 0,
"dayOfMonth": 0,
"daysOfWeek": [],
"firstDayOfWeek": "sunday",
"index": "first"
},
"range": {
"type": "numbered",
"numberOfOccurrences": 0,
"recurrenceTimeZone": null,
"startDate": "2021-04-30",
"endDate": "2021-04-30"
}
},
"applyActions": [
{
"@odata.type": "#microsoft.graph.removeAccessApplyAction"
}
]
},
"instances": []
}
]
}
Feedback
Submit and view feedback for